--- debathena-firefox-extension-9.4.34.orig/debian/compat
+++ debathena-firefox-extension-9.4.34/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-firefox-extension-9.4.34.orig/debian/control.in
+++ debathena-firefox-extension-9.4.34/debian/control.in
@@ -0,0 +1,13 @@
+Source: debathena-firefox-extension
+Section: debathena/web
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, fastjar
+Standards-Version: 3.7.2
+
+Package: debathena-firefox-extension
+Architecture: all
+Depends: ${misc:Depends}, firefox | iceweasel, libkrb53, psutils
+Description: Athena customizations to the Mozilla Firefox Web browser
+ This package provides an extension which customizes the stock version
+ of the Firefox browser for the Athena environment.
--- debathena-firefox-extension-9.4.34.orig/debian/copyright
+++ debathena-firefox-extension-9.4.34/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-firefox-extension-9.4.34.orig/debian/control
+++ debathena-firefox-extension-9.4.34/debian/control
@@ -0,0 +1,13 @@
+Source: debathena-firefox-extension
+Section: debathena/web
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), fastjar
+Standards-Version: 3.7.2
+
+Package: debathena-firefox-extension
+Architecture: all
+Depends: ${misc:Depends}, firefox | iceweasel, libkrb53, psutils
+Description: Athena customizations to the Mozilla Firefox Web browser
+ This package provides an extension which customizes the stock version
+ of the Firefox browser for the Athena environment.
--- debathena-firefox-extension-9.4.34.orig/debian/rules
+++ debathena-firefox-extension-9.4.34/debian/rules
@@ -0,0 +1,10 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
+clean::
+	rm -f configure
--- debathena-firefox-extension-9.4.34.orig/debian/patches/series
+++ debathena-firefox-extension-9.4.34/debian/patches/series
@@ -0,0 +1 @@
+firefox-extension-paths.patch
--- debathena-firefox-extension-9.4.34.orig/debian/patches/firefox-extension-paths.patch
+++ debathena-firefox-extension-9.4.34/debian/patches/firefox-extension-paths.patch
@@ -0,0 +1,26 @@
+Index: debathena-firefox-extension-9.4.34/Makefile.in
+===================================================================
+--- debathena-firefox-extension-9.4.34.orig/Makefile.in	2007-07-19 16:12:48.000000000 -0400
++++ debathena-firefox-extension-9.4.34/Makefile.in	2007-07-19 16:13:34.000000000 -0400
+@@ -12,7 +12,7 @@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+ 
+-ATHEXTDIR = ${libdir}/firefox-extension
++ATHEXTDIR = ${libdir}/debathena-firefox-extension
+ CHROMEDIR = ${ATHEXTDIR}/chrome
+ CHROMESUBDIRS = content skin
+ COMPONENTS_DIR = ${ATHEXTDIR}/components
+Index: debathena-firefox-extension-9.4.34/defaults/preferences/athena.js
+===================================================================
+--- debathena-firefox-extension-9.4.34.orig/defaults/preferences/athena.js	2007-07-19 16:14:41.000000000 -0400
++++ debathena-firefox-extension-9.4.34/defaults/preferences/athena.js	2007-07-19 16:15:31.000000000 -0400
+@@ -23,7 +23,7 @@
+ pref("font.mathfont-family", "CMSY10, CMEX10, Math1, Math2, Math4, MT Extra, Standard Symbols L");
+ 
+ // Use the Athena GSSAPI library.
+-pref("network.negotiate-auth.gsslib", "/usr/athena/lib/libgssapi_krb5.so");
++pref("network.negotiate-auth.gsslib", "/usr/lib/libgssapi_krb5.so.2");
+ 
+ // Do not delete files downloaded for helper applications upon exit,
+ // to give users a chance to retrieve them if desired.
--- debathena-firefox-extension-9.4.34.orig/debian/changelog
+++ debathena-firefox-extension-9.4.34/debian/changelog
@@ -0,0 +1,5 @@
+debathena-firefox-extension (9.4.34-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 19 Jul 2007 16:00:22 -0400
--- debathena-firefox-extension-9.4.34.orig/debian/debathena-firefox-extension.links
+++ debathena-firefox-extension-9.4.34/debian/debathena-firefox-extension.links
@@ -0,0 +1,2 @@
+usr/lib/debathena-firefox-extension usr/lib/firefox/extensions/athena@mit.edu
+usr/lib/debathena-firefox-extension usr/lib/iceweasel/extensions/athena@mit.edu
